! Calculeaza:
! Functii: f(u); g(u,u'); p(t);
! Jacobieni: jf = df/du; jg = dg/du; jg1 =dg/du1;
! Derivata: dp;
!
! Cadru etajat - "ngl" grade de lib. Excitatie armonica.
! 

subroutine fgp_j(t, uu, v)
use work

implicit real(8) (a-h, o-z)
real(8) uu(ngl), v(ngl)

!real(8) NO

!real(8) KK(ngl,ngl)		!, PP(ngl)
! f(u) =K*U
f =matmul(KK,UU)


! Jacobianul lui f:
JF =KK

! g(u,u'):
g =0.

! Jacobianul Dg/Du:
jg =0.

! Jacobianul Dg/Du':
jg1 =0.


! p(t):
!NO =param(1)
pp =0D0;
pp(22) =-25_8;   ! Nodul 11 - Y

omp =6.1434596333752554		!omp =1.1*om(1)

p =pp*dsin(omp*t)

! P derivat:
dp =omp*pp*dcos(omp*t)

END subroutine FGP_J
